import { RequestObj } from "./RequestObj";
/**
 * SideCar
 * @author wufenglin@rd.keytop.com.cn
 * @date 2010-08-04
 */
declare class SideCar {
    private msLoadBalanceUtils;
    private callLink;
    private fromNode;
    private updateCachePeriod;
    constructor();
    /**
     * 构建网关地址
     * 1.如果是浏览器客户端，则网关地址需配置在前端
     * 2.如果是云端Node客户端，则网关地址需要从注册中心拉取
     * @param requestObj
     */
    buildHostUrl(requestObj: RequestObj): Promise<String>;
    /**
    * 定时更新缓存
    * @param period 执行周期 毫秒
    */
    private scheduleAtUpdateCache;
    private getFromNode;
}
declare const _default: SideCar;
export default _default;
